#version 140
precision mediump float; 

uniform sampler2D ctexture;

in vec2 fragTexCoord; 
in float alpha;
in float lifetime;

out vec4 fragColor;

void main()
{	
	vec4 texel = texture(ctexture, fragTexCoord);
	
	float temp = alpha;
	
	if(temp > 1.0f) temp = 1.0f;
	else temp *= temp;
	
	
	if(temp < 0.039) discard;

    vec4 color = vec4(0.9f, 0.6f,0.5f, temp);
    
    float temp2 = pow(temp, 10);
    
	color.x += 0.1 * temp2;
	color.y += 0.4 * temp2;
    
	fragColor = texel*color;
}
