#version 140
precision mediump float; 

//Light uniforms
uniform vec4 light_color;
uniform vec4 light_position;
uniform vec4 ambient_color;

uniform sampler2D ctexture;

in vec2 fragTexCoord; 
in float alpha;
//in vec3 normal;
in vec4 position;

out vec4 fragColor;

void main()
{ 
	//Light direction
    vec3 aux = light_position.xyz - position.xyz;
    float dist = length(aux);
    vec3 light_dir = normalize(aux);

	float k0 = 0.8;
	float k1 = 0.00008;
	float k2 = 0.00004;
	float attenuation = 1.0/(k0 + (k1*dist) + (k2*dist*dist));

	vec4 texel = texture(ctexture, fragTexCoord);
	vec4 ambient = ambient_color * texel;
    vec4 diffuse = texel * light_color;
    
    vec4 color = vec4(0.3f, 0.7f, 0.8f, 1.0f);
    //switch color
    color.x += sin(alpha) * 0.2f;
    color.y += sin(alpha) * 0.3f;
    color.z += sin(alpha) * 0.2f;
    
    texel *= color;
    
    texel.x *= attenuation * (ambient.x + diffuse.x);
    texel.y *= attenuation * (ambient.y + diffuse.y);
    texel.z *= attenuation * (ambient.z + diffuse.z);
    
	fragColor =  texel;
}
